from fastapi import APIRouter

from ai_platform.api.provider_api import router as provider_router
from ai_platform.api.model_api import router as model_router
from ai_platform.api.app_api import router as app_router
from ai_platform.api.chat_api import router as chat_router
from ai_platform.api.workflow_api import router as workflow_router
from ai_platform.api.agent_api import router as agent_router
from ai_platform.api.speech_api import router as speech_router
from ai_platform.knowledge.api import router as knowledge_router

# 创建总路由
router = APIRouter(tags=["AI平台"])

# 注册子路由
router.include_router(provider_router)
router.include_router(model_router)
router.include_router(app_router)
router.include_router(chat_router)
router.include_router(workflow_router)
router.include_router(agent_router)
router.include_router(speech_router)
router.include_router(knowledge_router)
